> For the complete documentation index, see [llms.txt](https://docs.chamilo.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chamilo.org/2.x-es/guia-de-administracion/admin-guide/authentication/cas.md).

# CAS

***

## CAS

> **Estado en Chamilo 2.x.** Las entradas de configuración de CAS (`cas_activate`, `cas_server`, `cas_server_uri`, `cas_port`, `cas_protocol`, `cas_add_user_activate`) aún existen en los ajustes de la plataforma como un legado de Chamilo 1.x, y CAS todavía aparece como una fuente de autenticación seleccionable en el formulario de usuario, pero no hay un autenticador de CAS integrado en el pipeline de seguridad de Chamilo 2.x. Iniciar sesión a través de CAS **no** funciona actualmente de forma predeterminada. Si necesitas SSO en Chamilo 2.x, utiliza [OAuth2](/2.x-es/guia-de-administracion/admin-guide/authentication/oauth2.md) (Azure / Keycloak / Genérico) o [LDAP](/2.x-es/guia-de-administracion/admin-guide/authentication/ldap.md) en su lugar.

### Qué haría CAS (comportamiento en 1.x)

CAS (Central Authentication Service) es un protocolo de inicio de sesión único comúnmente utilizado en universidades e instituciones de investigación. En Chamilo 1.x, al hacer clic en "Iniciar sesión con CAS", se redirigía al usuario a un servidor CAS, se validaba el ticket devuelto y se creaba o asociaba una cuenta local a partir de los atributos de CAS.

### Nota sobre migración

Si estás actualizando un portal de Chamilo 1.x que utilizaba CAS, planifica reimplementar ese flujo de inicio de sesión utilizando OAuth2 o LDAP por el momento, hasta que el autenticador de CAS sea restaurado en una futura versión de 2.x.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chamilo.org/2.x-es/guia-de-administracion/admin-guide/authentication/cas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
